無法更新AMD驅動程式 [論壇 - Ubuntu硬體支援---顯示卡專區]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



無法更新AMD驅動程式
會員三級
註冊日期:
2008/6/12 22:14
所屬群組:
已註冊使用者
等級: 14
HP : 0 / 330
MP : 77 / 11015
EXP: 20
離線
由於最近更換平台(HD4250-->HD6550D)
所以重新安裝最新版的driver

先透過這個指令移除舊版的driver
$ sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx

然後後面biuld .deb的步驟沒有錯誤出現
但最後dpkg -i *.deb的時候就出現以下錯誤
請問該如何解決?

Selecting previously unselected package fglrx.
(正在讀取資料庫 ... 368253 files and directories currently installed.)
正在解開 fglrx (從 fglrx_8.980-0ubuntu1_amd64.deb)...
Selecting previously unselected package fglrx-amdcccle.
正在解開 fglrx-amdcccle (從 fglrx-amdcccle_8.980-0ubuntu1_amd64.deb)...
Selecting previously unselected package fglrx-dev.
正在解開 fglrx-dev (從 fglrx-dev_8.980-0ubuntu1_amd64.deb)...
正在設定 fglrx (2:8.980-0ubuntu1) ...
update-alternatives: error: alternative link /usr/bin/amdcccle is already managed by x86_64-linux-gnu_gl_conf.
dpkg:在處理 fglrx (--install) 時發生錯誤:
子程序 installed post-installation script 傳回了錯誤退出狀態 2
dpkg:因相依問題,不能設定 fglrx-amdcccle:
fglrx-amdcccle 相依於 fglrx﹔然而:
fglrx 套件尚未設定。
dpkg:在處理 fglrx-amdcccle (--install) 時發生錯誤:
相依問題 - 保留為未設定
dpkg:因相依問題,不能設定 fglrx-dev:
fglrx-dev 相依於 fglrx﹔然而:
fglrx 套件尚未設定。
dpkg:在處理 fglrx-dev (--install) 時發生錯誤:
相依問題 - 保留為未設定
正在進行 ureadahead 的觸發程式 ...
ureadahead will be reprofiled on next reboot
在處理時有錯誤發生:
fglrx
fglrx-amdcccle
fglrx-dev

2012/8/14 10:48
應用擴展 工具箱
回覆: 無法更新AMD驅動程式

註冊日期:
2009/12/6 10:32
所屬群組:
已註冊使用者
等級: 71
HP : 1404 / 1756
MP : 4456 / 50999
EXP: 24
離線
參考這一串討論文
fglrx tracking (updated with every breakage!)
如果還有問題 歡迎 再貼文

2012/8/14 12:14
應用擴展 工具箱
回覆: 無法更新AMD驅動程式
會員三級
註冊日期:
2008/6/12 22:14
所屬群組:
已註冊使用者
等級: 14
HP : 0 / 330
MP : 77 / 11015
EXP: 20
離線
可以成功dpkg -i *.deb 但是執行了下列步驟後就出現問題了?!?
sudo update-alternatives --install /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf x86_64-linux-gnu_gl_conf /usr/lib/fglrx/ld.so.conf 100 --slave /usr/lib/x86_64-linux-gnu/xorg/extra-modules x86_64-linux-gnu_xorg_extra_modules /usr/lib/fglrx/xorg/modules/

update-alternatives: 警告: forcing reinstallation of alternative /usr/lib/x86_64-linux-gnu/mesa/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: 警告: not replacing /usr/lib/x86_64-linux-gnu/xorg/extra-modules with a link.

2012/8/14 14:45
應用擴展 工具箱
回覆: 無法更新AMD驅動程式

註冊日期:
2009/12/6 10:32
所屬群組:
已註冊使用者
等級: 71
HP : 1404 / 1756
MP : 4456 / 50999
EXP: 24
離線
update-alternatives: 警告: forcing reinstallation of alternative /usr/lib/x86_64-linux-gnu/mesa/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: 警告: not replacing /usr/lib/x86_64-linux-gnu/xorg/extra-modules with a link.

#41
有類似的 情況

#42
提供解決方案
試試看有沒有效

你可以把 #118 前的所有貼文看完
會發現 有哪些 情況會 發生
如何 解決

2012/8/14 18:09
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.